from src.monitor.bottle import Bottle, run
from src.monitor.bottle import request, response
from src.monitor.bottle import error
from src.config.service import actionutils
from src.config.db import dboption
from src.config.service import timeperiod,hostgroups
import json

#config
global hostip
global port

hostip = '127.0.0.1'
port = 8080

app = Bottle()

@app.route('/hello')
def hello():
    print "Hello world"
    return "Hello world!"

@app.route('/conf/timeperiods', method='GET')
def config_timeperiods():
    response.set_header('Content-Type', 'application/json')
    #print request.url
    #print request.content_length
    data = timeperiod.get_all_tpname()
    print data
    return data

@app.route('/conf/hostgroups')
def hostgroups():
    #response.set_header('Content-Type', 'application/json')
    data = actionutils.selectall('hostgroup')
    print data
    return data

@app.route('/')
@app.route('/hello/<name>')
def greet(name='Strange'):
    return 'Hello %s, how are you?' % name

@app.route('/object/<id:int>')
def callback(id):
    assert isinstance(id, int)
    return "object id is %d" % id
    

@app.route('/show/<name:re:[a-z]+>')
def callback1(name):
    assert name.isalpha()

@app.route('/static/<path:path>')
def callback2(path):
    #return static_file(path, ...)
    return "static_path",path
    
@app.post('/login') # or @route('/login', method='POST')
def login_submit():
    name     = request.forms.get('name')
    password = request.forms.get('password')
    return "<p>Your login was correct, %s %s</p>" % name,password
    
#run(host=hostip,port=port,debug=True)
#run(app, host = hostip, port = port)
#config_timeperiods()
tblclass='hosthardwaretype'
result=dboption.Options().selectall(dboption.table2class[tblclass])
print actionutils.selectall('hosthardwaretype')
#print result