from src.bottle import Bottle, run
from src.bottle import request, response
from src.bottle import error
from src.config.service import actionutils
from src.config.service import actionutils
import json

#config
global hostip
global port

hostip = 'localhost'
port = 8080

app = Bottle()

@app.route('/hosts/all', method='POST')
def monitor_hosts():
    response.set_header('Content-Type', 'application/json')
    key=request.query.key
    data=request.json
    value=request.query.value
    print data["configitem"]["host"]
    #print data[key][0]
    #print "**",data,"***",key,"***",value
    #resultdata = actionutils.selectdetailinformation(key,data[key][0])
    #resultdata={'host':resultdata}
    #resultdata=json.dumps(resultdata)
    #return resultdata

@app.route('/conf/hosts', method='GET')
def get_hosts():
    response.set_header('Content-Type', 'application/json')
    fieldname=request.query.field
    if fieldname == '' :
        resultdata=actionutils.selectall('host')
    else:
        resultdata=actionutils.selecttwofieldvalue('host', 'id',fieldname)
    return resultdata

@error(404)
def error404(error):
    return 'Nothing here, sorry'

@app.route("/configuration/configitems", method="POST")
def insert_cofnigitems():
    data=request.json
    hostinformation=data["configitem"]["host"]
    hostnametoid={}
    serviceinformation=data["configitem"]["service"]
    for item in hostinformation:
        #insertid=actionutils.insertoneinformation("host",item)
        #hostnametoid[item['host_name']]=str(insertid)
        print "****",item  
    for item in serviceinformation:
        #item['host_name']=hostnametoid[item['host_name']]
        #actionutils.insertoneinformation("service",item)
        print "@@@@",item

@app.route('/configuration/host/<hostID:int>', method='GET')
def get_one_host(hostID):
    key_vlaue={'id':hostID}
    result=actionutils.selectdetailinformation('host', key_vlaue)
    return result

@app.route('/configuration/host', method='POST')
def insert_one_host():
    key_value=request.json['host']
    result=actionutils.insertoneinformation('host', key_value)
    
@app.route('/configuration/host/<hostID:int>', method='PUT')
def update_one_host(hostID):
    key_value=request.json['host']
    actionutils.updateoneinformation('host', {'id':hostID}, key_value)
    
@app.route('/configuration/hostgroup/<hostgroupID:int>', method='GET')
def get_one_hostgroup(hostgroupID):
    key_vlaue={'id':hostgroupID}
    result=actionutils.selectdetailinformation('hostgroup', key_vlaue)
    return result
@app.route('/configuration/host', method='POST')

@app.route('/configuration/contact/<contactID:int>', method='GET')
def get_one_contact(contactID):
    key_vlaue={'id':contactID}
    result=actionutils.selectdetailinformation('contact', key_vlaue)
    return result

@app.route('/configuration/contactgroup/<contactgroupID:int>', method='GET')
def get_one_contactgroup(contactgroupID):
    key_vlaue={'id':contactgroupID}
    result=actionutils.selectdetailinformation('contactgroup', key_vlaue)
    return result

@app.route('/configuration/service/<serviceID:int>', method='GET')
def get_one_service(serviceID):
    key_vlaue={'id':serviceID}
    result=actionutils.selectdetailinformation('service', key_vlaue)
    return result

@app.route('/configuration/command/<commandID:int>', method='GET')
def get_one_command(commandID):
    key_vlaue={'id':commandID}
    result=actionutils.selectdetailinformation('command', key_vlaue)
    return result


run(app, host = hostip, port = port)