#!/usr/bin/python

import smtplib 
from email.mime.text import MIMEText 
import base64
import ConfigParser
import sys
'''
mailto_list=["xiaojuan.xu@cs2c.com.cn"] 
mail_host = "smtp.163.com" 
mail_user = "xxj3333" 
mail_pass = "jessie5566" 
mail_postfix="163.com" 
'''

conf = ConfigParser.ConfigParser()
cfg_file = "../etc/mail.conf"
conf.read(cfg_file)
smtp_server= conf.get("smtp", "smtp_server")
smtp_user = conf.get("smtp", "user")
smtp_passwd = base64.decodestring(conf.get("smtp", "passwd"))
mail_postfix=conf.get("smtp", "postfix")

def send_mail(to_list, sub, context): 

    me = smtp_user + "<"+smtp_user+"@"+mail_postfix+">" 
    msg = MIMEText(context) 
    msg['Subject'] = sub 
    msg['From'] = me 
    msg['To'] = ";".join(to_list) 
    try: 
        send_smtp = smtplib.SMTP() 
        send_smtp.connect(smtp_server) 
        send_smtp.login(smtp_user, smtp_passwd) 
        send_smtp.sendmail(me, to_list, msg.as_string()) 
        send_smtp.close() 
        return True 
    except Exception,e: 
        print e
        return False 
'''        
s1=base64.encodestring('jessie5566')  
s2=base64.decodestring(s1)   
print s1
print s2
'''
'''
if (True == send_mail(mailto_list,"subject","context")): 
    print "success"
else: 
    print "fail"
'''

#progroam name
#print sys.argv[0]
#the first param 
mailto_list=[sys.argv[1]]
sub=sys.argv[2]
context=sys.argv[3]
send_mail(mailto_list,sub,context)