#!/bin/bash
icingahostname=`hostname`
if [ ! -f /etc/init.d/mysqld ];
then
     echo "Plesae ensure mysql had been installed!"
     exit 1
fi

/etc/init.d/ mysqld start > /dev/null 2>&1

read -s -p "Please input the root password for mysql:" password
echo
if [ -z "$password" ];
then
    mysqldump -uroot icinga > /opt/cobra/cobra-api/icingasql.sql.bak  2>&1
    mysql -uroot  <<EOF
        delete from mysql.user where user = 'icinga';
	delete from mysql.db where user = 'icinga'; 
        FLUSH PRIVILEGES;
        CREATE USER icinga IDENTIFIED BY 'icinga';
        DROP DATABASE IF EXISTS icinga;
        CREATE DATABASE IF NOT EXISTS icinga character set utf8 collate utf8_unicode_ci;
        use icinga;
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'%' IDENTIFIED BY 'icinga';
        FLUSH PRIVILEGES;
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'localhost' IDENTIFIED BY 'icinga';
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'$icingahostname' IDENTIFIED BY 'icinga';
        FLUSH PRIVILEGES;
EOF
else
    mysqldump -uroot  -p$password icinga > /opt/cobra/cobra-api/icingasql.sql.bak  2>&1
    mysql -uroot  -p$password <<EOF
	delete from mysql.user where user = 'icinga';
        delete from mysql.db where user = 'icinga'; 
	FLUSH PRIVILEGES;
	CREATE USER icinga IDENTIFIED BY 'icinga';
        DROP DATABASE IF EXISTS icinga;
        CREATE DATABASE IF NOT EXISTS icinga character set utf8 collate utf8_unicode_ci;
        use icinga;
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'%' IDENTIFIED BY 'icinga';
        FLUSH PRIVILEGES;
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'localhost' IDENTIFIED BY 'icinga';
        GRANT ALL PRIVILEGES ON icinga.* TO 'icinga'@'$icingahostname' IDENTIFIED BY 'icinga';
        FLUSH PRIVILEGES;
EOF
fi
mysql -uicinga -picinga icinga --default-character-set=utf8 < /opt/cobra/cobra-api/cobra_init.sql

/etc/init.d/cobrastatus restart
