#!/usr/bin/python
#-*-coding = utf-8 -*-

import commands,os
import time
from xml.etree import ElementTree

class rrddata:
    def __init__(self):
        self.path_rrd='/usr/local/pnp4nagios/var/perfdata/'
    def check_rrdfle_exist(self,hostname,servicename):
	servicename=servicename.replace(' ','_').replace('/','_')
        self.rrdfile=self.path_rrd + hostname + '/'+ servicename + '.rrd'
        self.xmlfile=self.path_rrd + hostname + '/'+ servicename + '.xml'
        print self.rrdfile
        if not os.path.exists(self.rrdfile):
            return {'error':'rrd file  does not exist'}
        else:
            return 0
    def get_rrdfile_data_now(self,hostname,servicename):
        check_re=self.check_rrdfle_exist(hostname,servicename)
        if check_re !=0:
            return {'action':False,'error':check_re['error']}
        #cmd=rrdtool fetch /usr/local/pnp4nagios/var/perfdata/gxj/CPU.rrd --start now-4min AVERAGE | grep :
        cmd_getdata='rrdtool fetch ' + self.rrdfile + ' --start now-6min AVERAGE | grep :'
        data=commands.getoutput(cmd_getdata) #type str
	print data
        datacollection=[]
        for each in data.splitlines():
         
            each=each.replace(': ',' ').split(' ')
            datacollection.append(each)
    
        '''the value of time from  datacollection may be -nan'''
        '''
        if datacollection[0][1]=='-nan':
            return {'action':False,'error':'data -nan'}
        '''
        while len(datacollection) > 0:
            if datacollection[0][1]=='-nan':
                del datacollection[0]
            else:
               break
        if len(datacollection) == 0:
            return {'action':False,'error':'data -nan'}

        num=0
        while (num<len(datacollection)):
            if datacollection[num][1] =='-nan':
                num = num - 1
                #return  {'action':True,'data':{'now_data_x':hostname,'now_data_y':datacollection[num][1:]}}
                result = [hostname]
                for data in datacollection[num][1:]:
                    if data != '-nan':
                        result.append(eval(data))
                    else:
                        result.append('-nan')
                #return  {'action':True,'data':result}
		return {'action':True,'data':{'now_data_x':hostname,'now_data_y':result[1:]}}
            num = num + 1
        #return  {'action':True,'data':{'now_data_x':hostname,'now_data_y':datacollection[num][1:]}}
        return  {'action':True, 'data':[hostname,datacollection[num][1:]]}
    def get_rrdfile_data_period(self,hostname,servicename,timestr):
        check_re=self.check_rrdfle_exist(hostname,servicename)
        if check_re !=0:
            return {'action':False,'error':check_re['error']}
        cmd_getdata='rrdtool fetch ' + self.rrdfile + ' --start now-' + timestr + ' --end now-4min AVERAGE | grep :'
        data=commands.getoutput(cmd_getdata) #type str
        datacollection=[]
        for each in data.splitlines():
            each=each.replace(': ',' ').split(' ')
            datacollection.append(each)
        '''
        if datacollection[0][1]=='-nan':
            return {'action':False,'error':'data -nan'}
        '''
        num=len(datacollection)-1
        while (num>=0):
            if datacollection[num][1] =='-nan':
                del datacollection[num]
            #datacollection[num][1]=float(datacollection[num][1])
            num = num -1
        #period_data_x=[]
        #period_data_y=[]
        for each in datacollection:
            #cmd_x="date +'%H:%M' -d '1970-01-01 UTC " + each[0]+" sec'"
            #each[0]=str(commands.getoutput(cmd_x))
            datetime1 = time.localtime(float(each[0]))
            each[0] = time.strftime("%Y-%m-%d %H:%M:%S",datetime1)
	    i = len(each)
	    j = 1
	    for j in range(1,i): 
            	each[j]=eval(each[j])
		j = j+1
        text = open(self.xmlfile).read()
        root = ElementTree.fromstring(text)
        name_list = root.findall('DATASOURCE/LABEL')
        namelist = []
        for name in name_list:
            namelist.append(name.text)
        unit_list = root.findall('DATASOURCE/UNIT')
        unitlist = []
        unitlist = []
        for unit in unit_list:
            if unit.text == "%%":
                unit.text = "%"
            unitlist.append(unit.text)

        #return  {'action':True,'data':datacollection}
	#return datacollection
        return {'data':datacollection,'name':namelist, 'unit':unitlist}
               
    def get_rrdfile_data_ex_period(self,hostname,servicename,starttime,endtime):
        check_re=self.check_rrdfle_exist(hostname,servicename)
        if check_re !=0:
            return {'action':False,'error':check_re['error']}
        cmd_getdata='rrdtool fetch ' + self.rrdfile + ' --start ' + starttime + ' --end ' + endtime + ' AVERAGE | grep :'
        data=commands.getoutput(cmd_getdata) #type str
        datacollection=[]
        for each in data.splitlines():
            each=each.replace(': ',' ').split(' ')
            datacollection.append(each)
        '''
        if datacollection[0][1]=='-nan':
            return {'action':False,'error':'data -nan'}
        '''
        num=len(datacollection)-1
        while (num>=0):
            if datacollection[num][1] =='-nan':
                del datacollection[num]
                #datacollection[num][1] = "-1" 
            #datacollection[num][1]=float(datacollection[num][1])
            num = num -1
        #period_data_x=[]
        #period_data_y=[]
        for each in datacollection:
            #cmd_x="date +'%H:%M' -d '1970-01-01 UTC " + each[0]+" sec'"
            #each[0]=str(commands.getoutput(cmd_x))
            datetime1 = time.localtime(float(each[0]))
            each[0] = time.strftime("%Y-%m-%d %H:%M:%S",datetime1)
            i = len(each)
            j = 1
            for j in range(1,i):
                each[j]=eval(each[j])
                j = j+1
        text = open(self.xmlfile).read()
        root = ElementTree.fromstring(text)
        name_list = root.findall('DATASOURCE/LABEL')
        namelist = []
        for name in name_list:
            namelist.append(name.text)
        unit_list = root.findall('DATASOURCE/UNIT')
        unitlist = []
        unitlist = []
        for unit in unit_list:
            if unit.text == "%%":
                unit.text = "%"
            unitlist.append(unit.text)

        #return  {'action':True,'data':datacollection}
        #return datacollection
        return {'data':datacollection,'name':namelist, 'unit':unitlist}


class mon_png_cluster:
    def rrd_pfs_data(self):
        resultlist = []
        for each in self.pfs_list:
            result=rrddata().get_rrdfile_data_now(each['hostname'],each['servicename'])
            if result['action'] == False:
                continue
            resultlist.append(result['data'])
            '''
            x_data=x_data + ',' + result['data']['now_data_x']
            y_data=y_data + ',' + str(result['data']['now_data_y'])
        if len(x_data)==0 and len(y_data)==0:
            return {'action':False,'error':'pfs rrd file of this cluster  does not exist'}
            '''
        return {'action':True,'data':resultlist}
    def rrd_cpu_data(self):
        resultlist = []
        for each in self.cpu_list:
            result=rrddata().get_rrdfile_data_now(each['hostname'],each['servicename'])
            if result['action'] == False:
                continue
            resultlist.append(result['data'])
            '''
            x_data=x_data + ',' + result['data']['now_data_x']
            y_data=y_data + ',' + str(result['data']['now_data_y'])
            '''
        '''
        if len(x_data)==0 and len(y_data)==0:
            return {'action':False,'error':'cpu rrd file of this cluster does not exist'}
        '''
        #return {'action':True,'data':{'x_value':x_data[1:],'y_value':y_data[1:]}}
        return {'action':True,'data':resultlist}
    def rrd_memory_data(self):
        resultlist = []
        for each in self.memory_list:
            result=rrddata().get_rrdfile_data_now(each['hostname'],each['servicename'])
            if result['action'] == False:
                continue
            resultlist.append(result['data'])
            '''
            x_data=x_data + ',' + result['data']['now_data_x']
            y_data=y_data + ',' + str(result['data']['now_data_y'])
        if len(x_data)==0 and len(y_data)==0:
            return {'action':False,'error':'memory rrd file of this cluster  does not exist'}
            '''
        return {'action':True,'data':resultlist}
                    
    def rrd__disk_io_data(self):
        resultlist = []
        for each in self.disk_io_list:
         
            result=rrddata().get_rrdfile_data_now(each['hostname'],each['servicename'])
   
            if result['action'] == False:
                continue
            resultlist.append(result['data'])
            '''
            x_data=x_data + ',' + result['data']['now_data_x']
            y_data=y_data + ';' + str(result['data']['now_data_y'])
        if len(x_data)==0 and len(y_data)==0:
            return {'action':False,'error':'disk_io rrd file of this cluster  does not exist'}
            '''

        return {'action':True,'data':resultlist}  
    def rrd__network_data(self):
        resultlist = []
        for each in self.network_list:
            result=rrddata().get_rrdfile_data_now(each['hostname'],each['servicename'])
            if result['action'] == False:
                continue
            resultlist.append(result['data'])
            '''
            x_data=x_data + ',' + result['data']['now_data_x']
            y_data=y_data + ';' + str(result['data']['now_data_y'])
        if len(x_data)==0 and len(y_data)==0:
            return {'action':False,'error':'network rrd file of this cluster  does not exist'}
            '''
        return {'action':True,'data':resultlist} 
