from src.config.db import dboption
from src.monitor.db import utils
import datetime

testcontactinformation={'contact_name':'testinsertcontact','alias':'test','contactgroups':'admins,testgroup',\
                        'host_notifications_enabled':1,'service_notifications_enabled':1,'host_notification_period':'workhours',\
                        'service_notification_period':'24x7','host_notification_options':'d,u,r,f',\
                        'service_notification_options':'d,u,r,f','host_notification_commands':'notify-host-by-email','service_notification_commands':'notify-service-by-email',\
                        'email':'xiaojuan.xu@cs2c.com.cn','pager':'123455678','register':1,'active':1,'config_id':1}
testcontactinformation1={'contact_name':'testinsertcontact1','alias':'test','contactgroups':'1,2',\
                        'host_notifications_enabled':1,'service_notifications_enabled':1,'host_notification_period':'1',\
                        'service_notification_period':'2','host_notification_options':'d,u,r,f',\
                        'service_notification_options':'d,u,r,f','host_notification_commands':'2','service_notification_commands':'1,2',\
                        'email':'xiaojuan.xu@cs2c.com.cn','pager':'123455678','register':1,'active':1,'config_id':1}
def insertcontact(key_value):
    if key_value['contactgroups'] != '':
        print key_value['contactgroups']
    else:
        print 'no'

#insertcontact(testcontactinformation)  
def selectonecontact(key_value):
    result=dboption.Options().select(dboption.table2class['contact'],key_value)
    resultdic=utils.classobj2dict(result[0])
    if resultdic['contactgroups'] !=0:
        groups=dboption.Options().select(dboption.table2class['lnkContactToContactgroup'],{'idMaster':resultdic['id']})
        groupnames=''
        for item in groups:
            groupname=dboption.Options().selectonevalue(dboption.table2class['contactgroup'],'contactgroup_name',{'id':item.idSlave})
            if groupnames == '':
                groupnames += str(groupname[0][0])
            else:
                groupnames += ','+str(groupname[0][0])
    else:
        groupnames=''
    resultdic['contactgroups']=groupnames
    if resultdic['host_notification_period'] != 0:
        hostperiod=dboption.Options().selectonevalue(dboption.table2class['timeperiod'],'timeperiod_name',{'id':resultdic['host_notification_period']})
        hostperiodname=str(hostperiod[0][0])
    else:
        hostperiodname=''
    resultdic['host_notification_period']=hostperiodname
    if resultdic['service_notification_period'] != 0:
        hostperiod=dboption.Options().selectonevalue(dboption.table2class['timeperiod'],'timeperiod_name',{'id':resultdic['service_notification_period']})
        hostperiodname=str(hostperiod[0][0])
    else:
        hostperiodname=''
    resultdic['service_notification_period']=hostperiodname
    if resultdic['host_notification_commands'] !=0:
        commands=dboption.Options().select(dboption.table2class['lnkContactToCommandHost'],{'idMaster':resultdic['id']})
        hostcommandnames=''
        for item in commands:
            commandname=dboption.Options().selectonevalue(dboption.table2class['command'],'command_name',{'id':item.idSlave})
            if hostcommandnames == '':
                hostcommandnames += str(commandname[0][0])
            else:
                hostcommandnames += ','+str(commandname[0][0])
    else:
        hostcommandnames=''
    resultdic['host_notification_commands']=hostcommandnames
    if resultdic['service_notification_commands'] !=0:
        commands=dboption.Options().select(dboption.table2class['lnkContactToCommandService'],{'idMaster':resultdic['id']})
        servicecommandnames=''
        for item in commands:
            commandname=dboption.Options().selectonevalue(dboption.table2class['command'],'command_name',{'id':item.idSlave})
            if servicecommandnames == '':
                servicecommandnames += str(commandname[0][0])
            else:
                servicecommandnames += ','+str(commandname[0][0])
    else:
        servicecommandnames=''
    resultdic['service_notification_commands']=servicecommandnames
    print resultdic
    return resultdic
    

#selectonecontact(test)


def selectdetailinformation(tblclass,key_value):
    result=dboption.Options().select(dboption.table2class[tblclass],key_value)
    resultlist=[]
    if result == []:
        return resultlist
    for eachresult in result:
        resultdic=utils.classobj2dict(eachresult)
        tablename='tbl_'+tblclass
        relations=dboption.Options().select(dboption.table2class['relationinformation'],{'master':tablename})
        for item in relations:
            itemtra=utils.classobj2dict(item)
            if itemtra['type'] == 2 :
                if resultdic[itemtra['fieldName']] !=0:
                    classtmp=itemtra['linkTable'].replace('tbl_','')
                    mapids=dboption.Options().select(dboption.table2class[classtmp],{'idMaster':resultdic['id']})
                    mapnames=''
                    for item1 in mapids:
                        tablename1=itemtra['tableName1'].replace('tbl_','')
                        item1=utils.classobj2dict(item1)
                        print item1['idSlave']
                        if  mapnames == '':
                            mapnames += str(item1['idSlave'])
                        else:
                            mapnames += ','+str(item1['idSlave'])
                        #mapname=dboption.Options().selectonevalue(dboption.table2class[tablename1],itemtra['target1'],{'id':item1['idSlave']})
                        #if mapnames == '':
                        #    mapnames += str(mapname[0][0])
                        #else:
                        #    mapnames += ','+str(mapname[0][0])
                else:
                    mapnames=''     
                resultdic[itemtra['fieldName']]=mapnames
            '''elif itemtra['type'] == 1 :
                if resultdic[itemtra['fieldName']] !=0 and resultdic[itemtra['fieldName']] != '0':
                    tablename1=itemtra['tableName1'].replace('tbl_','')
                    if itemtra['fieldName'] == 'check_command':
                        relationname=resultdic[itemtra['fieldName']].split('!')
                        relationname[0]=dboption.Options().selectonevalue(dboption.table2class[tablename1],itemtra['target1'],{'id':relationname[0]})
                        relationname[0]=str(relationname[0][0][0])
                        delimiter='!'
                        relationname=delimiter.join(relationname)
                    else:
                        relname=dboption.Options().selectonevalue(dboption.table2class[tablename1],itemtra['target1'],{'id':resultdic[itemtra['fieldName']]})
                        relationname=str(relname[0][0])
                else:
                    relationname='' 
                resultdic[itemtra['fieldName']]=relationname'''
        resultlist.append(resultdic)
    print resultlist
    return resultlist

def insertoneinformation(tblclass,key_value):
    tablename='tbl_'+tblclass
    relations=dboption.Options().select(dboption.table2class['relationinformation'],{'master':tablename})
    relationvalue=[]
    for item in relations:
        itemtra=utils.classobj2dict(item)
        tablename1=itemtra['tableName1'].replace('tbl_','')
        if itemtra['type'] == 2 : 
            if key_value[itemtra['fieldName']] != '':
                rname=key_value[itemtra['fieldName']].split(',')
                rtest=[]
                for fieldname in rname:
                    #rtest1=dboption.Options().selectonevalue(dboption.table2class[tablename1],'id',{itemtra['target1']:fieldname})
                    #rtest.append(rtest1[0][0])
                    rtest.append(fieldname)
                valuetmp={itemtra['linkTable']:rtest}
                relationvalue.append(valuetmp)
                key_value[itemtra['fieldName']]=1
            else:
                key_value[itemtra['fieldName']]=0
        #if itemtra['type'] == 1:
        #    if key_value[itemtra['fieldName']] != '':
        #        ronevalue=dboption.Options().selectonevalue(dboption.table2class[tablename1],'id',{itemtra['target1']:key_value[itemtra['fieldName']]})
        #        key_value[itemtra['fieldName']]=ronevalue[0][0]
    print relationvalue
    insertnewid=dboption.Options().insert(dboption.table2class[tblclass], key_value)
    for key1 in relationvalue:
        for key2,value2 in key1.items():
            tableclass1=key2.replace('tbl_','')
            for value3 in value2:
                dboption.Options().insertlnk(dboption.table2class[tableclass1],{'idMaster':insertnewid,'idSlave':value3})
    

def updateoneinformation(tblclass,keytoupdate,key_value,):
    tablename='tbl_'+tblclass
    relations=dboption.Options().select(dboption.table2class['relationinformation'],{'master':tablename})
    relationvalue=[]
    for item in relations:
        itemtra=utils.classobj2dict(item)
        tablename1=itemtra['tableName1'].replace('tbl_','')
        if itemtra['type'] == 2 : 
            if key_value[itemtra['fieldName']] != '':
                rname=key_value[itemtra['fieldName']].split(',')
                rtest=[]
                for fieldname in rname:
                    rtest.append(fieldname)
                valuetmp={itemtra['linkTable']:rtest}
                relationvalue.append(valuetmp)
                key_value[itemtra['fieldName']]=1
            else:
                key_value[itemtra['fieldName']]=0
    dboption.Options().update(dboption.table2class[tblclass],keytoupdate, key_value)
    for key1 in relationvalue:
        for key2,value2 in key1.items():
            tableclass1=key2.replace('tbl_','')
            dboption.Options().delete(dboption.table2class[tableclass1],{'idMaster':keytoupdate['id']})
            for value3 in value2:
                dboption.Options().insertlnk(dboption.table2class[tableclass1],{'idMaster':keytoupdate['id'],'idSlave':value3})
    
classname='contact'
test={'id' : 12}
#selectdetailinformation(classname,test)
#insertoneinformation(classname,testcontactinformation1)
#updateoneinformation(classname,{'id':21},testcontactinformation1)
#print datetime.datetime.now()
#dboption.Options().insert(dboption.table2class['contact'], testcontactinformation)
#for i in range(0,1000):
#    selectonecontact(test)

testresult=dboption.Options().selectalltwovalues(dboption.table2class['host'],'id','host_name')
for item in testresult:
    item=utils.classobj2dict(item)
    print item['host_name']
print testresult