
from src.config.db import dboption
from src.config.service import actionutils

tp = 'timeperiod'
td = 'timedefinition'

# get all information of each existed timeperiod
def get_all():
    '''return all from the table tbl_timepriod
            usage:
            get_all()
    '''
    result = dboption.Options().selectall(dboption.table2class[tp])
    return result

# definite function for get all existed timeperiod name
def get_all_tpname():
    '''return all timeperiod types from the table tbl_timepriod
            usage:
            get_all_tpname()
    '''
    result = dboption.Options().selectoneclo(dboption.table2class[tp], 'timeperiod_name')
    return result

# select one timeperiod's detail information by timeperiod_name
def get_time_detail(tpname):
    key_value = {'timeperiod_name' : tpname}
    # 1.select detail information of this time period in tbl_timeperiod
    tip_result = actionutils.selectdetailinformation(tp,key_value)
    tipId = tip_result[0]['id']
    # 2.select all time definition of this time period which tipId is the above one
    kv = {'tipId' : tipId}
    tid_result = dboption.Options().select(dboption.table2class[td], kv)
    
    result = tip_result    
    tide = {'time_definitions':tid_result}
    result.append(tide)
    #print result
    return result

import time
start = time.clock()
for i in range(10000):
    get_time_detail('24x7')
end = time.clock()
print end-start